package com.collabnet.ctf.events.custom.events;

import com.vasoftware.sf.common.logger.Logger;

import java.io.InputStream;
import java.util.Properties;

public class Configuration {

    private static final Logger logger = Logger.getLogger(Configuration.class);

    private static Properties configuration = new Properties();

    static {
        try {
            InputStream inputStream = Configuration.class
                    .getClassLoader()
                    .getResourceAsStream("META-INF/config.properties");
            configuration.load(inputStream);
        } catch (Exception e) {
            logger.error("Could not read configuration properties from : META-INF/config.properties", e);
        }
    }

    public static String getEndPointBaseUri() {
        return (String) configuration.get("jbossEndPoint.baseUri");
    }
}
